import com.cloudbees.hudson.plugins.folder.*
import org.jenkinsci.plugins.workflow.job.WorkflowJob
import jenkins.model.Jenkins

Jenkins jenkins = Jenkins.instance 

def folders = {{ job_folders }}

def folder = null

folders.eachWithIndex { item, index ->
     if (index == 0) {
        folder = jenkins.getItem(item)

        if (folder == null) {
           folder = jenkins.createProject(Folder.class, item)
        } 
     } else {
       def newFolder  = folder.getItem(item)

       if (newFolder == null) {
           folder = folder.createProject(Folder.class, item)
        } else {
           folder = newFolder
        }
     } 
}